Bug 309292 - Missing properties in KColorDialog, KColorCells, KColorPath
Summary: Missing properties in KColorDialog, KColorCells, KColorPath
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdeui (show other bugs)
Version: Git
Platform: unspecified All
: NOR minor (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 07:46 UTC by Jarosław Staniek
Modified: 2012-12-04 08:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarosław Staniek 2012-10-31 07:46:38 UTC
Existing practice is that even dialogs like QFontDialog have Qt properties defined.
KColorButton and KColorCombo have them but three other KColor* classes do not, so for consistency I propose:

- adding to KColorDialog: QColor color, QColor defaultColor, bool alphaChannelEnabled
- adding to KColorCells: bool acceptsDrags, bool shading, int count
- adding to KColorPath: QColor color
Comment 1 Laurent Montel 2012-12-04 08:30:41 UTC
Git commit 7c9b937d802811c5b23ecbd7b101fd2ba7c6707a by Montel Laurent.
Committed on 04/12/2012 at 09:29.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 309292 - Missing properties in KColorDialog, KColorCells,

KColorPath

FIXED-IN: 4.10
"adding to KColorPath: QColor color" already done

M  +10   -0    kdeui/colors/kcolordialog.cpp
M  +9    -0    kdeui/colors/kcolordialog.h

http://commits.kde.org/kdelibs/7c9b937d802811c5b23ecbd7b101fd2ba7c6707a